package cn.estsh.i3plus.pojo.model.busi;

import cn.estsh.i3plus.pojo.model.common.Pager;
import io.swagger.annotations.ApiParam;

import java.util.List;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 15:58
 * @Modify:
 **/
public class ResultBean<Obj>{
        @ApiParam("是否成功")
        private boolean success;

        @ApiParam("信息代码-国际化")
        private String code;

        @ApiParam("操作消息")
        private String msg;

        @ApiParam("错误消息")
        private String errorMsg;

        @ApiParam("http路径")
        private String url;

        @ApiParam("List结果集")
        private List<Obj> resultList;

        @ApiParam("单个结果")
        private Obj resultObject;

        @ApiParam("Map结果集")
        private Map<String, Object> resultMap;

        @ApiParam("翻页操作")
        private Pager pager;

        @ApiParam("总记录数")
        private int totalCount;

        public ResultBean() {
            success = false;
        }

        public ResultBean(boolean success,String code, String message) {
            this.success = success;
            this.code = code;
            if(this.success) {
                this.msg = message;
            }else{
                this.errorMsg = message;
            }
        }

        public ResultBean(boolean success,String code, String msg, String errorMsg) {
            this.success = success;
            this.code = code;
            this.msg = msg;
            this.errorMsg = errorMsg;
        }

        public ResultBean(boolean success, List<Obj> resultList) {
            this.success = success;
            this.resultList = resultList;
        }

        public ResultBean(boolean success, Obj resultObject) {
            this.success = success;
            this.resultObject = resultObject;
        }

        public ResultBean(boolean success, String message, List<Obj> resultList) {
            this.success = success;
            this.msg = message;
            this.resultList = resultList;
        }

        public ResultBean(boolean success, String message, Obj resultObject) {
            this.success = success;
            this.msg = message;
            this.resultObject = resultObject;
        }

        public ResultBean(boolean success, List<Obj> resultList, Pager pager) {
            this.success = success;
            this.resultList = resultList;
            this.pager = pager;
        }

        public ResultBean(boolean success, String message, List<Obj> resultList, Pager pager) {
            this.success = success;
            this.msg = message;
            this.resultList = resultList;
            this.pager = pager;
        }

        public ResultBean(boolean success, String message, Obj resultObject, Pager pager) {
            this.success = success;
            this.msg = message;
            this.resultObject = resultObject;
            this.pager = pager;
        }

        public boolean isSuccess() {
            return success;
        }

        public void setSuccess(boolean success) {
            this.success = success;
        }

        public List<Obj> getResultList() {
            return resultList;
        }

        public void setResultList(List<Obj> resultList) {
            this.resultList = resultList;
        }

        public Object getResultObject() {
            return resultObject;
        }

        public void setResultObject(Obj resultObject) {
            this.resultObject = resultObject;
        }

        public Pager getPager() {
            return pager;
        }

        public void setPager(Pager pager) {
            this.pager = pager;
        }

        public String getMsg() {
            return msg;
        }

        public void setMsg(String msg) {
            this.msg = msg;
        }

        public String getErrorMsg() {
            return errorMsg;
        }

        public void setErrorMsg(String errorMsg) {
            this.errorMsg = errorMsg;
        }

        public int getTotalCount() {
            return pager != null ? pager.getTotalRows() : this.totalCount;
        }

        public void setTotalCount(int totalCount) {
            this.totalCount = totalCount;
        }

        public Map<String, Object> getResultMap() {
            return resultMap;
        }

        public void setResultMap(Map<String, Object> resultMap) {
            this.resultMap = resultMap;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }
}