package cn.estsh.i3plus.pojo.platform.bean;

import io.swagger.annotations.ApiParam;

import java.io.Serializable;

/**
 * @Description : 操作人对象，用于登陆，非持久化
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 15:58
 * @Modify:
 **/
public class SessionUser implements Serializable {

    @ApiParam("用户工号")
    private String userCode;

    @ApiParam("用户姓名")
    private String userName;

    @ApiParam("站点代码")
    private String siteCode;

    @ApiParam("语言代码")
    private String languageCode;

    @ApiParam("用户类型")
    //CommonEnumUtil.USER_TYPE.xxx.getCode()
    private String userType;

    public SessionUser() {
    }

    public SessionUser(String userCode, String userName, String siteCode) {
        this.userCode = userCode;
        this.userName = userName;
        this.siteCode = siteCode;
    }

    public SessionUser(String userCode, String userName, String siteCode, String languageCode, String userType) {
        this.userCode = userCode;
        this.userName = userName;
        this.siteCode = siteCode;
        this.languageCode = languageCode;
        this.userType = userType;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getSiteCode() {
        return siteCode;
    }

    public void setSiteCode(String siteCode) {
        this.siteCode = siteCode;
    }

    public String getLanguageCode() {
        return languageCode;
    }

    public void setLanguageCode(String languageCode) {
        this.languageCode = languageCode;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }
}
